List Components - Conditions
curl --request GET \
--url https://{projectID}.texterchat.com/server/api/v2/scenarios/components/conditions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/scenarios/components/conditions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/scenarios/components/conditions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"components": [
{
"name": "request",
"title": "HTTP request",
"description": "Send an HTTP request to an external URL",
"paramsSchema": {
"type": "object",
"properties": {
"url": {
"type": "string"
},
"method": {
"type": "string"
}
}
}
}
]
}Scenarios (Advanced)
List Components - Conditions
List all available condition components (e.g. filtrex, compare) and their parameters.
GET
https://{projectID}.texterchat.com/server/api/v2
/
scenarios
/
components
/
conditions
List Components - Conditions
curl --request GET \
--url https://{projectID}.texterchat.com/server/api/v2/scenarios/components/conditions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/scenarios/components/conditions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/scenarios/components/conditions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"components": [
{
"name": "request",
"title": "HTTP request",
"description": "Send an HTTP request to an external URL",
"paramsSchema": {
"type": "object",
"properties": {
"url": {
"type": "string"
},
"method": {
"type": "string"
}
}
}
}
]
}Required token scopes: none - any valid API token works
הרשאות
API token generated in Texter: gear icon → Developers → API Tokens. When creating a token, assign it the scopes required by the endpoints you plan to call - each endpoint lists its required scopes.
תגובה
The available conditions with their names, titles and parameter descriptions
The response is of type object.